Announcement

Collapse
No announcement yet.

upgrade error

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • George L
    replied
    [QUOTE][i]Originally posted by coolsurfin [/i]
    [B]won't fit here so here is the link
    [url]http://www.coolsurfin.com/table.txt[/url]

    i completly deleted the database and recreated it before i tried to do the upgrade the database is 60 megs [/B][/QUOTE] i'd wait for freddie or ed to look at that since they know the ins and out... but i couldn't find a profilefield table in that table structure anywhere ?

    Leave a comment:


  • coolsurfin
    replied
    won't fit here so here is the link
    [url]http://www.coolsurfin.com/table.txt[/url]

    i completly deleted the database and recreated it before i tried to do the upgrade the database is 60 megs

    Leave a comment:


  • George L
    replied
    Shane maybe just output your current table structure by piping to a txt file the structure and posting a link to the text file here

    mysqldump --opt -u user-p databasename -d > /path/to/tablestructure.txt
    Last edited by George L; Mon 2 Apr '01, 6:43pm.

    Leave a comment:


  • Mike Sullivan
    replied
    My PM hack doesn't create it either. Sounds like you didn't fully revert back to a 1.1.x database.

    Leave a comment:


  • coolsurfin
    replied
    The only other hack was for PM

    Leave a comment:


  • Freddie Bingham
    replied
    My avatar hack doesn't create "profilefield" and I doubt any other hacks do either.

    Leave a comment:


  • steven
    replied
    First make sure that you backup your database before you do anything. What hacks have you installed on your board? If it's only the avatar hack, I would check to see what other tables the hack creates. Once you find out this information, drop all the tables that the avatar hack created, (ie profilefield..)and you should be able to upgrade in no time.

    Leave a comment:


  • coolsurfin
    replied
    Yes it did..
    So is there any fix for this or am i stuck with this version.

    Leave a comment:


  • George L
    replied
    your error is because the upgrade1.php is trying to install a table named [b]profilefield[/b] but it already exits

    i checked a very old 1.1.5 backup dump i made of my forum and there is no table named [b]profilefield[/b] in it, which means either you added a hack which created a table named profilefield in there or your backup of 1.1.5 was done after you run upgrade1.php for the first time ?

    can't remember but did the avatar hack for 1.1.x add a table called [b]profilefield[/b] in there ?

    Leave a comment:


  • coolsurfin
    replied
    reloaded back to 1.1.5 and still have the same problem all three times that i reverted and tried to do the upgrade

    Leave a comment:


  • George L
    replied
    did you by any chance run upgrade1.php twice ?

    i suggest you revert to a backup copy of your 1.1.5 forum and run upgrade1.php once


    beta 4 is being released next week i believe.. so you may want to wait :)

    Leave a comment:


  • coolsurfin
    replied
    Database error in vBulletin Upgrade: Invalid SQL: CREATE TABLE profilefield (
    profilefieldid SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
    title CHAR(50) NOT NULL,
    description CHAR(250) NOT NULL,
    required SMALLINT NOT NULL,
    hidden SMALLINT NOT NULL,
    maxlength SMALLINT DEFAULT '250' NOT NULL,
    size SMALLINT DEFAULT '25' NOT NULL,
    displayorder SMALLINT NOT NULL,
    PRIMARY KEY(profilefieldid)
    )
    mysql error: Table 'profilefield' already exists
    mysql error number: 1050
    Date: Saturday 31st of March 2001 02:03:21 PM
    Script: /forum/admin/upgrade1.php?step=8
    Referer: [url]http://209.61.133.49/forum/admin/upgrade1.php?step=7[/url]

    Leave a comment:


  • George L
    replied
    hey shane [b]singloon/george[/b] here :)

    View the source code of the error page and paste the error message here so we can determine the problem :D

    Leave a comment:


  • coolsurfin
    started a topic upgrade error

    upgrade error

    I have tried to do the upgrade for 1.1.5 to ver 2 and on the upgrade script i keep getting this error

    Creating profile field definitions table

    There seems to have been a slight problem with the database. Please try again by pressing the refresh button in your browser.

    An E-Mail has been dispatched to our Technical Staff, who you can also contact if the problem persists.

    We apologise for any inconvenience.

    this is on step 8
    Help Please
widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
Working...
X